<?php
	$dir = $_SERVER['DOCUMENT_ROOT']."/".substr(substr($_SERVER['REQUEST_URI'], 1), 0, strpos(substr($_SERVER['REQUEST_URI'], 1), '/'))."/phone_gap";
	require_once($dir."/classes/Marca.class.php");
	require_once($dir."/classes/Dados.class.php");
	
	class MarcaDAO {
		
		public function lkpMarca(){
			$dados = new Dados();
			
			$sql = "select CODMARCA, DESCRICAO from MARCAS order by 2 ";
			$array = $dados->SelectSQL($sql);
			foreach ($array as $row){
				$novaMarca = new Marca();
				$novaMarca->setCodmarca($row["CODMARCA"]);
				$novaMarca->setDescricao($row["DESCRICAO"]);
				$marcas[] = $novaMarca;
			}
			return $marcas;
		}
		
	}
	
?>